channels.deleteChannelIdentity
DELETE
/v1/organization/channels/{channelId}/identities/{externalUserId}
const url = 'https://example.com/v1/organization/channels/example/identities/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/v1/organization/channels/example/identities/example \ --header 'Authorization: Bearer <token>'Unlinks a person. The bot asks them to link again.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”channelId
required
string
externalUserId
required
string
Responses
Section titled “Responses”ChannelInvalid | OrganizationRequired
AuthenticationRequired
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "AuthenticationRequired"}ExecutionForbidden | @nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin
ExecutionNotFound | ChannelNotFound | ChannelIdentityNotFound
ExecutionConflict | ExecutionKeyConflict | @nmnmcc/ability/Authorizer/Pending | ChannelConflict
RateLimited
Media typeapplication/json
object
_tag
required
string
retryAfterSeconds
required
integer
Example
{ "_tag": "RateLimited"}ExecutionUnavailable | ChannelsUnavailable | AuthenticationUnavailable | RequestFailed